package com.hzya.frame.sys.messageManageLogBack.detail.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.messageManageLogBack.detail.dao.ISysMessageManageLogDetailBackDao;
import com.hzya.frame.sys.messageManageLogBack.detail.entity.SysMessageManageLogDetailBackEntity;
import com.hzya.frame.sys.messageManageLogDetail.entity.SysMessageManageLogDetailEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @content 息管理日志明细(SysMessageManageLog)表数据库访问层
 * @Param
 * @Return
 * @Author hecan
 * @Date 2024/3/6 16:17
 * **/
@Repository("SysMessageManageLogDetailBackDaoImpl")
public class SysMessageManageLogDetailBackDaoImpl extends MybatisGenericDao<SysMessageManageLogDetailBackEntity, String> implements ISysMessageManageLogDetailBackDao {
    @Override
    public Integer entityInsertBatch(List<SysMessageManageLogDetailEntity> list) {
        Integer insert = super.insert(getSqlIdPrifx() + "entityInsertBatch", list);
        return insert;
    }
}
